gtkglextmm: Gdk::GL::Config Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Gdk::GL::Config Class Reference

`#include <config.h>`

List of all members.

## Public Member Functions
virtual | ~Config ()
GdkGLConfig * | gobj ()
| Provides access to the underlying C GObject.
const GdkGLConfig * | gobj () const
| Provides access to the underlying C GObject.
GdkGLConfig * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Gdk::Screen > | get_screen ()
Glib::RefPtr< const Gdk::Screen > | get_screen () const
bool | get_attrib (int attribute, int &value) const
Glib::RefPtr< Gdk::Colormap > | get_colormap ()
Glib::RefPtr< const Gdk::Colormap > | get_colormap () const
Glib::RefPtr< Gdk::Visual > | get_visual ()
Glib::RefPtr< const Gdk::Visual > | get_visual () const
int | get_depth () const
int | get_layer_plane () const
int | get_n_aux_buffers () const
int | get_n_sample_buffers () const
bool | is_rgba () const
bool | is_double_buffered () const
bool | is_stereo () const
bool | has_alpha () const
bool | has_depth_buffer () const
bool | has_stencil_buffer () const
bool | has_accum_buffer () const
## Static Public Member Functions
static Glib::RefPtr< Config > | create (const int *attrib_list)
static Glib::RefPtr< Config > | create (const Glib::RefPtr< const Gdk::Screen > &screen, const int *attrib_list)
static Glib::RefPtr< Config > | create (ConfigMode mode)
static Glib::RefPtr< Config > | create (const Glib::RefPtr< const Gdk::Screen > &screen, ConfigMode mode)
## Protected Member Functions
| Config (const int *attrib_list)
| Config (const Glib::RefPtr< const Gdk::Screen > &screen, const int *attrib_list)
| Config (ConfigMode mode)
| Config (const Glib::RefPtr< const Gdk::Screen > &screen, ConfigMode mode)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdk::GL::Config > | wrap (GdkGLConfig *object, bool take_copy=false)

## Detailed Description

OpenGL frame buffer configuration.

## Constructor & Destructor Documentation

virtual Gdk::GL::Config::~Config | ( |  | ) | `[virtual]`

Gdk::GL::Config::Config | ( | const int * | attrib_list | ) | `[explicit, protected]`

Gdk::GL::Config::Config | ( | const Glib::RefPtr< const Gdk::Screen > & | screen,
|  | const int * | attrib_list
| ) | `[protected]`

Gdk::GL::Config::Config | ( | ConfigMode | mode | ) | `[explicit, protected]`

Gdk::GL::Config::Config | ( | const Glib::RefPtr< const Gdk::Screen > & | screen,
|  | ConfigMode | mode
| ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Config> Gdk::GL::Config::create | ( | const Glib::RefPtr< const Gdk::Screen > & | screen,
|  | ConfigMode | mode
| ) | `[static]`

static Glib::RefPtr<Config> Gdk::GL::Config::create | ( | ConfigMode | mode | ) | `[static]`

  | Returns an OpenGL frame buffer configuration that match the specified display mode. Parameters:
  | mode | display mode bit mask.
Returns: the new Gdk::GL::Config if it is successful, NULL RefPtr otherwise.

static Glib::RefPtr<Config> Gdk::GL::Config::create | ( | const Glib::RefPtr< const Gdk::Screen > & | screen,
|  | const int * | attrib_list
| ) | `[static]`

static Glib::RefPtr<Config> Gdk::GL::Config::create | ( | const int * | attrib_list | ) | `[static]`

  | Returns an OpenGL frame buffer configuration that match the specified attributes. Parameters:
  | attrib_list | a list of attribute/value pairs. The last attribute must be Gdk::GL::ATTRIB_LIST_NONE.
Returns: the new Gdk::GL::Config if it is successful, NULL RefPtr otherwise. Examples: font.cc, gears.cc, logo.cc, pixmap-mixed.cc, pixmap.cc, shapes.cc, share-lists.cc, simple-darea.cc, simple-mixed.cc, and simple.cc.

bool Gdk::GL::Config::get_attrib | ( | int | attribute,
|  | int & | value
| ) | const

  | Gets information about a OpenGL frame buffer configuration. Parameters:
  | attribute | The attribute to be returned.
  | value | Returns the requested value.
Returns: `true` if it succeeded, `false` otherwise.

Glib::RefPtr<const Gdk::Colormap> Gdk::GL::Config::get_colormap | ( |  | ) | const

| Gets the Gdk::Colormap that is appropriate for the OpenGL frame buffer configuration. Returns: The appropriate Gdk::Colormap.

Glib::RefPtr<Gdk::Colormap> Gdk::GL::Config::get_colormap | ( |  | ) |

| Gets the Gdk::Colormap that is appropriate for the OpenGL frame buffer configuration. Returns: The appropriate Gdk::Colormap.

int Gdk::GL::Config::get_depth | ( |  | ) | const

| Gets the color depth of the OpenGL-capable visual. Returns: Number of bits per pixel.

int Gdk::GL::Config::get_layer_plane | ( |  | ) | const

| Gets the layer plane (level) of the frame buffer. Zero is the default frame buffer. Positive layer planes correspond to frame buffers that overlay the default buffer, and negative layer planes correspond to frame buffers that underlie the default frame buffer. Returns: Layer plane.

int Gdk::GL::Config::get_n_aux_buffers | ( |  | ) | const

| Gets the number of auxiliary color buffers. Returns: Number of auxiliary color buffers.

int Gdk::GL::Config::get_n_sample_buffers | ( |  | ) | const

| Gets the number of multisample buffers. Returns: Number of multisample buffers.

Glib::RefPtr<const Gdk::Screen> Gdk::GL::Config::get_screen | ( |  | ) | const

| Get Gdk::Screen. Returns: The Gdk::Screen.

Glib::RefPtr<Gdk::Screen> Gdk::GL::Config::get_screen | ( |  | ) |

| Get Gdk::Screen. Returns: The Gdk::Screen.

Glib::RefPtr<const Gdk::Visual> Gdk::GL::Config::get_visual | ( |  | ) | const

| Gets the Gdk::Visual that is appropriate for the OpenGL frame buffer configuration. Returns: The appropriate Gdk::Visual.

Glib::RefPtr<Gdk::Visual> Gdk::GL::Config::get_visual | ( |  | ) |

| Gets the Gdk::Visual that is appropriate for the OpenGL frame buffer configuration. Returns: The appropriate Gdk::Visual.

const GdkGLConfig* Gdk::GL::Config::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject.

GdkGLConfig* Gdk::GL::Config::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject.

GdkGLConfig* Gdk::GL::Config::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gdk::GL::Config::has_accum_buffer | ( |  | ) | const

| Returns whether the configured frame buffer has accumulation buffer. Returns: `true` if the frame buffer has accumulation buffer, `false` otherwise.

bool Gdk::GL::Config::has_alpha | ( |  | ) | const

| Returns whether the configured color buffer has alpha bits. Returns: `true` if the color buffer has alpha bits, `false` otherwise.

bool Gdk::GL::Config::has_depth_buffer | ( |  | ) | const

| Returns whether the configured frame buffer has depth buffer. Returns: `true` if the frame buffer has depth buffer, `false` otherwise.

bool Gdk::GL::Config::has_stencil_buffer | ( |  | ) | const

| Returns whether the configured frame buffer has stencil buffer. Returns: `true` if the frame buffer has stencil buffer, `false` otherwise.

bool Gdk::GL::Config::is_double_buffered | ( |  | ) | const

| Returns whether the configuration supports the double-buffered visual. Returns: `true` if the double-buffered visual is supported, `false` otherwise.

bool Gdk::GL::Config::is_rgba | ( |  | ) | const

| Returns whether the configured frame buffer is RGBA mode. Returns: `true` if the configured frame buffer is RGBA mode, `false` otherwise.

bool Gdk::GL::Config::is_stereo | ( |  | ) | const

| Returns whether the configuration supports the stereo visual. Returns: `true` if the stereo visual is supported, `false` otherwise.

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::GL::Config > wrap | ( | GdkGLConfig * | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdkmm/gl/config.h